Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.map
Class MapProxy

    java.lang.Object
      org.hibernate.proxy.map.MapProxy

All Implemented Interfaces:
  Serializable, Map, HibernateProxy

    public class MapProxy

extends Object
implements HibernateProxy, Map, Serializable

Proxy for "dynamic-map" entity representations.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`Object` | `get(Object key)`
`LazyInitializer` | `getHibernateLazyInitializer()` Get the underlying lazy initialization handler.
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`Collection` | `values()`
`Object` | `writeReplace()` Perform serialization-time write-replacement of this proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Method Detail

### writeReplace

    public Object writeReplace()

  Description copied from interface: `HibernateProxy`
  Perform serialization-time write-replacement of this proxy.

  Specified by:
    `writeReplace` in interface `HibernateProxy`
  Returns:
    The serializable proxy replacement.

### getHibernateLazyInitializer

    public LazyInitializer getHibernateLazyInitializer()

  Description copied from interface: `HibernateProxy`
  Get the underlying lazy initialization handler.

  Specified by:
    `getHibernateLazyInitializer` in interface `HibernateProxy`
  Returns:
    The lazy initializer.

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### putAll

    public void putAll(Map t)

  Specified by:
    `putAll` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.